TIMEDATED(8)

NAME
timedated - system time and date D-Bus daemon

SYNOPSIS
timedated [OPTIONS]

DESCRIPTION
timedated is a system service that controls the system time and related settings. It implements the org.freedesktop.timedate1 D-Bus interface and is intended as a replacement for the corresponding systemd service on GNU/Linux distributions that do not use systemd.

The daemon is normally not started by hand. It is activated automatically over the system D-Bus when a client (such as timedatectl(1) or a desktop environment's date & time settings panel) first accesses the org.freedesktop.timedate1 interface. The daemon runs as root.

Through this interface, clients can read and change the system timezone, choose whether the RTC is kept in local time or UTC, enable or disable NTP synchronization, set the system clock, and list the available timezones.

OPTIONS

-r, --replace
    Replace a running daemon that currently owns the org.freedesktop.timedate1 name on the bus.

-v, --verbose
    Show extra debugging information.

-d, --debug
    Enable debugging output (implies --verbose).

D-BUS INTERFACE
The daemon exposes the following methods on org.freedesktop.timedate1 at the object path /org/freedesktop/timedate1: SetTime, SetTimezone, SetLocalRTC, SetNTP, and ListTimezones. It also exposes the read-only properties Timezone, LocalRTC, CanNTP, NTP, NTPSynchronized, TimeUSec, and RTCTimeUSec.

Method calls that change a setting are authorized via PolKit. By default, members of the wheel group are permitted; the privileged group is configurable at build time and the policy can be adjusted in the installed PolKit rules file.

FILES

/usr/libexec/timedated
    The daemon executable.

/usr/share/dbus-1/system-services/org.freedesktop.timedate1.service
    D-Bus service activation file.

/usr/share/dbus-1/system.d/org.freedesktop.timedate1.conf
    D-Bus policy controlling who may own the service name.

/usr/share/polkit-1/actions/org.freedesktop.timedate1.policy
    PolKit action definitions.

/usr/share/polkit-1/rules.d/org.freedesktop.timedate1.rules
    PolKit rules granting the privileged group access.

/etc/localtime
    Symlink to the active timezone file under /usr/share/zoneinfo.

/etc/hardwareclock
    Indicates whether the RTC is kept in local time or UTC.

/etc/adjtime
    Adjtime configuration used by the RTC handling.

NTP DAEMON CONTROL
On Slackware, NTP synchronization is handled through the system NTP daemon controlled by /etc/rc.d/rc.ntpd, using /etc/ntp.conf as its configuration. These paths are configurable at build time.

SEE ALSO
timedatectl(1), hwclock(8), ntpd(8), polkit(8), dbus-daemon(1)

AUTHOR
Originally written by Andrey V. Kosteltsev for Radix cross Linux. Forked and modified by Ioannis Anagnostakis (rizitis).

LICENSE
This program is free software, distributed under the GNU General Public License, version 2 or later. See the source for copying conditions.